diff -urp webkitgtk-2.44.0.atk/Source/WebKit/UIProcess/WebPageProxy.cpp webkitgtk-2.44.0/Source/WebKit/UIProcess/WebPageProxy.cpp
--- webkitgtk-2.44.0.atk/Source/WebKit/UIProcess/WebPageProxy.cpp	2024-03-22 15:52:25.456376240 -0500
+++ webkitgtk-2.44.0/Source/WebKit/UIProcess/WebPageProxy.cpp	2024-03-26 13:31:44.474183001 -0500
@@ -11089,6 +11089,7 @@ void WebPageProxy::setOverlayScrollbarSt
         send(Messages::WebPage::SetScrollbarOverlayStyle(scrollbarStyleForMessage), internals().webPageID);
 }
 
+#if ENABLE(WEB_CRYPTO)
 void WebPageProxy::wrapCryptoKey(const Vector<uint8_t>& key, CompletionHandler<void(bool, Vector<uint8_t>&&)>&& completionHandler)
 {
     Ref protectedPageClient { pageClient() };
@@ -11116,6 +11117,7 @@ void WebPageProxy::unwrapCryptoKey(const
     bool succeeded = unwrapSerializedCryptoKey(masterKey, wrappedKey, key);
     completionHandler(succeeded, WTFMove(key));
 }
+#endif
 
 void WebPageProxy::addMIMETypeWithCustomContentProvider(const String& mimeType)
 {
diff -urp webkitgtk-2.44.0.atk/Source/WebKit/UIProcess/WebPageProxy.h webkitgtk-2.44.0/Source/WebKit/UIProcess/WebPageProxy.h
--- webkitgtk-2.44.0.atk/Source/WebKit/UIProcess/WebPageProxy.h	2024-03-22 15:52:25.459709585 -0500
+++ webkitgtk-2.44.0/Source/WebKit/UIProcess/WebPageProxy.h	2024-03-26 13:31:44.474183001 -0500
@@ -1724,8 +1724,10 @@ public:
     RefPtr<ViewSnapshot> takeViewSnapshot(std::optional<WebCore::IntRect>&&);
 #endif
 
+#if ENABLE(WEB_CRYPTO)
     void wrapCryptoKey(const Vector<uint8_t>&, CompletionHandler<void(bool, Vector<uint8_t>&&)>&&);
     void unwrapCryptoKey(const Vector<uint8_t>&, CompletionHandler<void(bool, Vector<uint8_t>&&)>&&);
+#endif
 
     void takeSnapshot(WebCore::IntRect, WebCore::IntSize bitmapSize, SnapshotOptions, CompletionHandler<void(std::optional<WebCore::ShareableBitmapHandle>&&)>&&);
 
diff -urp webkitgtk-2.44.0.atk/Source/WebKit/UIProcess/WebPageProxy.messages.in webkitgtk-2.44.0/Source/WebKit/UIProcess/WebPageProxy.messages.in
--- webkitgtk-2.44.0.atk/Source/WebKit/UIProcess/WebPageProxy.messages.in	2024-03-22 15:52:25.459709585 -0500
+++ webkitgtk-2.44.0/Source/WebKit/UIProcess/WebPageProxy.messages.in	2024-03-26 13:31:44.477516364 -0500
@@ -413,8 +413,10 @@ messages -> WebPageProxy {
 
     DidUpdateActivityState() CanDispatchOutOfOrder
 
+#if ENABLE(WEB_CRYPTO)
     WrapCryptoKey(Vector<uint8_t> key) -> (bool succeeded, Vector<uint8_t> wrappedKey) Synchronous
     UnwrapCryptoKey(Vector<uint8_t> wrappedKey) -> (bool succeeded, Vector<uint8_t> key) Synchronous
+#endif
 
 
 #if ENABLE(TELEPHONE_NUMBER_DETECTION)
diff -urp webkitgtk-2.44.0.atk/Source/WebKit/WebProcess/WebCoreSupport/WebChromeClient.cpp webkitgtk-2.44.0/Source/WebKit/WebProcess/WebCoreSupport/WebChromeClient.cpp
--- webkitgtk-2.44.0.atk/Source/WebKit/WebProcess/WebCoreSupport/WebChromeClient.cpp	2024-03-16 01:45:51.164670200 -0500
+++ webkitgtk-2.44.0/Source/WebKit/WebProcess/WebCoreSupport/WebChromeClient.cpp	2024-03-26 13:31:44.477516364 -0500
@@ -1474,6 +1474,8 @@ void WebChromeClient::handleAutoplayEven
     protectedPage()->send(Messages::WebPageProxy::HandleAutoplayEvent(event, flags));
 }
 
+#if ENABLE(WEB_CRYPTO)
+
 bool WebChromeClient::wrapCryptoKey(const Vector<uint8_t>& key, Vector<uint8_t>& wrappedKey) const
 {
     auto sendResult = WebProcess::singleton().parentProcessConnection()->sendSync(Messages::WebPageProxy::WrapCryptoKey(key), page().identifier());
@@ -1496,6 +1498,8 @@ bool WebChromeClient::unwrapCryptoKey(co
     return succeeded;
 }
 
+#endif
+
 #if ENABLE(APP_HIGHLIGHTS)
 void WebChromeClient::storeAppHighlight(WebCore::AppHighlight&& highlight) const
 {
diff -urp webkitgtk-2.44.0.atk/Source/WebKit/WebProcess/WebCoreSupport/WebChromeClient.h webkitgtk-2.44.0/Source/WebKit/WebProcess/WebCoreSupport/WebChromeClient.h
--- webkitgtk-2.44.0.atk/Source/WebKit/WebProcess/WebCoreSupport/WebChromeClient.h	2024-03-16 01:45:51.164670200 -0500
+++ webkitgtk-2.44.0/Source/WebKit/WebProcess/WebCoreSupport/WebChromeClient.h	2024-03-26 13:31:44.477516364 -0500
@@ -393,8 +393,10 @@ private:
 
     void setTextIndicator(const WebCore::TextIndicatorData&) const final;
 
+#if ENABLE(WEB_CRYPTO)
     bool wrapCryptoKey(const Vector<uint8_t>&, Vector<uint8_t>&) const final;
     bool unwrapCryptoKey(const Vector<uint8_t>&, Vector<uint8_t>&) const final;
+#endif
 
 #if ENABLE(TELEPHONE_NUMBER_DETECTION) && PLATFORM(MAC)
     void handleTelephoneNumberClick(const String& number, const WebCore::IntPoint&, const WebCore::IntRect&) final;
diff -urp webkitgtk-2.44.0.atk/Source/WTF/wtf/PlatformEnableCocoa.h webkitgtk-2.44.0/Source/WTF/wtf/PlatformEnableCocoa.h
--- webkitgtk-2.44.0.atk/Source/WTF/wtf/PlatformEnableCocoa.h	2024-03-16 01:45:49.644672600 -0500
+++ webkitgtk-2.44.0/Source/WTF/wtf/PlatformEnableCocoa.h	2024-03-26 13:31:44.480849727 -0500
@@ -908,6 +908,10 @@
 #define ENABLE_WEB_CODECS 1
 #endif
 
+#if !defined(ENABLE_WEB_CRYPTO)
+#define ENABLE_WEB_CRYPTO 1
+#endif
+
 #if !defined(ENABLE_WEB_PLAYBACK_CONTROLS_MANAGER) && PLATFORM(MAC)
 #define ENABLE_WEB_PLAYBACK_CONTROLS_MANAGER 1
 #endif
